Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class Draw

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.TransformOperation
                              |
                              +--org.apache.tools.ant.types.optional.image.Draw

public class Draw
extends TransformOperation

See Also:
  `Image`

Field Summary
`protected int` | `xloc`
`protected int` | `yloc`

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Draw()`

Method Summary
`void` | `addArc(Arc arc)`
`void` | `addEllipse(Ellipse elip)`
`void` | `addRectangle(Rectangle rect)`
`void` | `addText(Text text)`
`javax.media.jai.PlanarImage` | `executeTransformOperation(javax.media.jai.PlanarImage image)`
`void` | `setXloc(int x)`
`void` | `setYloc(int y)`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRotate, addScale`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xloc

    protected int xloc

### yloc

    protected int yloc

Constructor Detail

### Draw

    public Draw()

Method Detail

### setXloc

    public void setXloc(int x)

### setYloc

    public void setYloc(int y)

### addRectangle

    public void addRectangle(Rectangle rect)

  Overrides:
    `addRectangle` in class `TransformOperation`

### addText

    public void addText(Text text)

  Overrides:
    `addText` in class `ImageOperation`

### addEllipse

    public void addEllipse(Ellipse elip)

### addArc

    public void addArc(Arc arc)

### executeTransformOperation

    public javax.media.jai.PlanarImage executeTransformOperation(javax.media.jai.PlanarImage image)

  Specified by:
    `executeTransformOperation` in class `TransformOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.